<?php
/**
 * @version $Id: default.php 106 2010-04-04 08:24:54Z mmicha $
 * @package COM_VVISIT_COUNTER
 * @copyright Copyright (C) 2010 Majunke Michael majunke@mmajunke.de
 *
 */

defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');
JHTML::script('/js/dygraphs/excanvas.js' , 'administrator/components/com_vvisitcounter', false);
JHTML::script('/js/dygraphs/strftime/strftime-min.js' , 'administrator/components/com_vvisitcounter', false);
JHTML::script('/js/dygraphs/rgbcolor/rgbcolor.js' , 'administrator/components/com_vvisitcounter', false);
JHTML::script('/js/dygraphs/dygraph-canvas.js' , 'administrator/components/com_vvisitcounter', false);
JHTML::script('/js/dygraphs/dygraph.js' , 'administrator/components/com_vvisitcounter', false );

JToolBarHelper::title(   JText::_( 'Report')  );
JToolBarHelper::back( 'Back' , 'index.php?option=com_vvisitcounter&controller=counterreport&task=back' );

?>

<script type="text/javascript">

	 	window.onload = function() {
			  g2 = new Dygraph(
			     document.getElementById("visitorsPerDayGraphDiv"), <?php
			       foreach( $this->counter->visitorsPerDay as $row ){
			 	    	echo '"' . $row->day . ', ' . $row->count ; ?>\n" + <?php
			       } ?> "\n" , { width: 1024, height: 300,
								 labels: [ "Date", "Hits" ],
								 fillGraph: true,
								 drawPoints: true, pointSize: 2 });
	 	}

</script>


<!--
<form action="index.php" method="post" name="adminForm" id="adminForm">
-->
<fieldset class="adminform">
<legend><?php echo JText::_( 'Details' );?></legend>

	<div class="col">
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'Details' ); echo " "; echo JText::_( 'Modul' );?></legend>
	<table class="admintable">
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'ID' ); ?></td>
			<td>
				<input readonly="readonly" id="id" size="60" value="<?php echo $this->counter->id; ?>" />
			</td>
		</tr>
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'Type' ); ?></td>
			<td>
				<input type="text" name="module" id="module" size="60" value="<?php echo $this->counter->module; ?>" />
			</td>
		</tr>
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'Name' ); ?></td>
			<td>
				<input type="text" name="module" id="module" size="60" value="<?php echo $this->counter->title; ?>" />
			</td>
		</tr>
	</table>
	</fieldset>
	</div>

	<div class="col">
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'Details' ); echo " "; echo JText::_( 'Counter' );?></legend>
	<table class="admintable">
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'Data Table' ); ?></td>
			<td>
				<input readonly="readonly" id="id" size="60" value="<?php echo $this->counter->paramCreatetableName; ?>" />
			</td>
		</tr>
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'Entries' ); ?></td>
			<td>
				<input readonly="readonly" name="entries" id="entries" size="60" value="<?php echo $this->counter->entries; ?>" />
			</td>
		</tr>
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'Days' ); ?></td>
			<td>
				<input type="text" name="daysGest" id="daysGes" size="60" value="<?php echo $this->counter->daysGes; ?>" />
			</td>
		</tr>
		<tr>
			<td width="110" class="key"><?php echo JText::_( 'LAST_CLEAN_DAY' ); ?></td>
			<td>
				<input type="text" name="lastCleanDate" id="lastCleanDate" size="60" value="<?php echo $this->counter->lastCleanDate; ?>" />
			</td>
		</tr>
	</table>
	</fieldset>
	</div>
</fieldset>

<div class="clr"></div>

<fieldset class="adminform">
    <div id="visitorsPerDayGraphDiv"></div>
</fieldset>

<fieldset class="adminform">
	<h4>TODO: Render Reports and other nice Views...</h4>
</fieldset>

<div class="clr"></div>

<!--
<input type="hidden" name="option" value="com_vvisitcounter" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="counters" />
</form>
-->
