<?php
/**
 * @version $Id: default.php 106 2010-04-04 08:24:54Z mmicha $
 * @package COM_VVISIT_COUNTER
 * @copyright Copyright (C) 2010 Majunke Michael majunke@mmajunke.de
 *
 */

defined('_JEXEC') or die('Restricted access');

// Make sure the user is authorized to view this page
$user = & JFactory::getUser();
if (!$user->authorize( 'com_modules', 'manage' )) {
    $mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
}

JHTML::_('behavior.tooltip');
JToolBarHelper::title(   JText::_( 'Counters' ), 'generic.png' );
JToolBarHelper::custom( 'reportCounter', 'preview.png' , 'preview.png', 'Report', true , false );
JToolBarHelper::divider();

//JToolBarHelper::custom( 'emptyCounter', 'trash.png', 'trash.png' , 'Clean', true , false );
//JToolBarHelper::trash ( 'emptyCounter', 'Clean');
$bar = & JToolBar::getInstance('toolbar');
$bar->appendButton( 'Confirm', 'CONFIRM_EMPTY', 'trash', 'Clean', 'emptyCounter', true, false );

//JToolBarHelper::custom( 'truncateCounter', 'delete.png', 'delete.png' , 'Reset', true , false );
// JToolBarHelper::deleteListX ( 'Wirklich komplett zurcksetzen ?', 'truncateCounter', 'Reset' );
$bar->appendButton( 'Confirm', 'CONFIRM_TRUNCATE', 'delete', 'Reset', 'truncateCounter', true, false );

?>

<form action="index.php" method="post" name="adminForm">
    <?php if (count($this->items)) : ?>
    <table class="adminlist" cellspacing="1">
        <thead>
            <tr>
                <th class="title" width="10px"><?php echo JText::_( 'Num' ); ?></th>
                <th class="title" nowrap="nowrap"><?php echo JText::_( 'Counter' ); ?></th>
                <th class="title" width="5%" align="center"><?php echo JText::_( 'Published' ); ?></th>
                <th class="title" width="10%" align="center"><?php echo JText::_( 'Position' ); ?></th>
                <th class="title" width="15%"><?php echo JText::_( 'Entries' ); ?></th>
                <th class="title" width="25%"><?php echo JText::_( 'Days' ); ?></th>
                <th class="title" width="5%"><?php echo JText::_( 'ID' ); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $k = 0;
            for ($i=0, $n=count( $this->items ); $i < $n; $i++) {
                $row = &$this->items[$i];
                ?>

            <tr class="<?php echo "row$k"; ?>">
                <td align="center">
                    <input type="radio"
                           id="cb<?php echo $row->index;?>"
                           name="cid"
                           value="<?php echo $row->id; ?>"
                           onclick="isChecked(this.checked);"/>
                </td>
                <td align="left">
                    <?php
                    $link = JRoute::_( 'index.php?option=com_vvisitcounter&task=reportCounter&cid[]='. $row->id );
                    ?>
                    <a href="<?php echo $link; ?>"><?php echo $row->title; ?></a>
                </td>
                <td align="center">
                    <?php echo JHTML::_('grid.published', $row, $i ); ?>
                </td>
                <td align="center">
                    <?php echo $row->position; ?>
                </td>
                <td align="center">
                    <?php echo $row->entries; ?>
                </td>
                <td align="center">
                    <?php echo $row->daysGes; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>

            </tr>

                <?php $k = 1 - $k; } ?>
        </tbody>
    </table>
    <?php else : ?>
    <?php echo JText::_( 'NO_COUNTERS_FOUND' ); ?>
    <?php endif; ?>

    <input type="hidden" name="option" value="com_vvisitcounter" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="boxchecked" value="0" />
</form>