<?php
/**
 * @version $Id: admin.vvisitcounter.php 106 2010-04-04 08:24:54Z mmicha $
 * @package COM_VVISIT_COUNTER
 * @copyright Copyright (C) 2010 Majunke Michael majunke@mmajunke.de
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Make sure the user is authorized to view this page
$user = & JFactory::getUser();
if (!$user->authorize( 'com_modules', 'manage' )) {
	$mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
}

// Require specific controller if requested
$controllerName = JRequest::getVar('controller');
if( !empty($controllerName) ) {
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php');

    $controllerName =  strtoupper( substr( $controllerName , 0 , 1 ) ) .
                        substr( $controllerName , 1 ) ;

}
else {
  require_once (JPATH_COMPONENT.DS.'controllers'.DS.'counters.php');
}

// Create the controller
$classname	= 'VVisitCounterController'.$controllerName;
$controller = new $classname();

// Perform the Request task
$controller->execute( JRequest::getVar('task') );

// Redirect if set by the controller
$controller->redirect();

?>
