<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

/**
 * VVisitCounterModelCounter
 *
 * @version $Id: counterreport.php 106 2010-04-04 08:24:54Z mmicha $
 * @package COM_VVISIT_COUNTER
 * @copyright Copyright (C) 2010 Majunke Michael majunke@mmajunke.de
 * @access public
 */
class VVisitCounterModelcounterreport extends VVisitCounterModelCounters
{

	private $_data;


	function __construct()
	{
		parent::__construct();

		$array	= JRequest::getVar('cid', array(0), '', 'array');
		$this->setId((int)$array[0]);
	}


	/**
	 * VVisitCounterModelCounter::setId()
	 *
	 * @param mixed $id
	 * @return
	 */
	public function setId($id)
	{
		// Set id and wipe data
		$this->_id		= $id;
		$this->_data	= null;
	}



	/**
	 * VVisitCounterModelcounterreport::getData()
	 *
	 * @return
	 */
	public function &getData()
	{
		// Load the data
		if (empty( $this->_data )) {
			$query = " SELECT * FROM #__modules " .
					 " WHERE module = 'mod_vvisit_counter' AND id = " . $this->_id;
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
            $this->fillAdditionalInfos($this->_data);
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->id = -1;
		}
		return $this->_data;
	}





    /**
     * VVisitCounterModelcounterreport::fillAdditionalInfos()
     *
     * @param mixed $counter
     * @return
     */
    protected function fillAdditionalInfos( $counter ){

		parent::fillAdditionalInfos( $counter );

		$counter->lastCleanDate =
			$this->_lastCleanDate( $counter );

		$counter->visitorsPerDay =
			$this->_visitorsPerDay( $counter->paramCreatetableName );

    }

    protected function _visitorsPerDay( $countertable , $days = 0 ) {

		// Table vorhanden ?
		if ( ! $this->_tableExist( $countertable ) ) {
			return -1;
		}
        $query = $this->_buildQueryVisitorsPerDay( $countertable );
		$this->_db->setQuery( $query );
        $result = $this->_db->loadObjectList();

        // berfhren in DAtenarray und fehlende Tag(e) adden
	/*
        $gr_val = array();
        $lrow = '';
        foreach ($result as $row) {
            if ($lrow != '') {
                // echo $lrow . "/" . $row->day . " : " . $this->datediff( $lrow, $row->day ) . "<br/>";
                $dateDiff = $this->datediff($lrow, $row->day);
                if ($dateDiff > 1) {
                    for($i = 1 ; $i < $dateDiff ; $i++) {
                        // Fge fehlende Daten als Dummy zu
                        // TODO richtig das Datum berechnen day = $lrow + $i
                        $gr_val[ $lrow . '_' . $i ] = 0;
                    }
                }
            }
            $gr_val[$row->day] = $row->c;
            $lrow = $row->day;
        }
	*/

		//print_r( $result );

		return $result;

	}



	/**
     * VVisitCounterModelcounterreport::_counterDaysOverAll()
     *
     * @param mixed $countertable
     * @return
     */
    protected function _lastCleanDate( $counter )
    {
    	$counterMemoTable = "mod_vvisit_counter_memo";
		// Table vorhanden ?
		if ( ! $this->_tableExist( $counterMemoTable ) ) {
			return -1;
		}
        $query = $this->_buildQuerylastCleanDate( $counterMemoTable , $counter );
		$this->_db->setQuery( $query );
        $lastCleanDate = $this->_db->loadResult();
        if ( !isset($lastCleanDate) || empty($lastCleanDate) ) {
        	return -1;
        }
		return $lastCleanDate;
    }


    /**
     * VVisitCounterModelcounterreport::_buildQuerylastCleanDate()
     *
     * @return
     */
    protected function _buildQuerylastCleanDate( $counterMemoTable, $counter )
    {

		$query = " SELECT lastMaxPerDay as lastCleanDate" .
		         " FROM #__" . $counterMemoTable .
		         " WHERE counter = '" . $counter->paramCreatetableName . "'";
		return $query;

    }

    /**
     * VVisitCounterModelcounterreport::_buildQuerylastCleanDate()
     *
     * @return
     */
    protected function _buildQueryVisitorsPerDay( $countertable )
    {

		$query = "SELECT DATE(FROM_UNIXTIME(tm)) AS day, COUNT(*) AS count FROM " .
		         " #__" . $countertable .
				 " GROUP BY DATE(FROM_UNIXTIME(tm))";
		return $query;

    }



}
?>
